Bug 972323 - (hazelcast) Review Request: hazelcast - Hazelcast CE In-Memory DataGrid
Review Request: hazelcast - Hazelcast CE In-Memory DataGrid
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 968136
  Show dependency treegraph
 
Reported: 2013-06-08 09:06 EDT by gil cattaneo
Modified: 2013-11-10 02:45 EST (History)
2 users (show)

See Also:
Fixed In Version: hazelcast-2.6.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-26 23:54:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
build.log - FTBFS / missing BRs (17.69 KB, text/x-log)
2013-09-14 07:43 EDT, Björn "besser82" Esser
no flags Details

  None (edit)
Description gil cattaneo 2013-06-08 09:06:44 EDT
Spec URL: http://gil.fedorapeople.org/hazelcast.spec
SRPM URL: http://gil.fedorapeople.org/hazelcast-2.6-1.fc18.src.rpm
Description:
Hazelcast CE is an open source highly scalable data distribution platform.
Hazelcast allows you to easily share and partition your data across your
cluster.
Apache Camel Build/Requires for module components/camel-hazelcast
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5483177
Comment 1 Christopher Meng 2013-08-30 00:17:03 EDT
Please update to 3.0.1.
Comment 2 gil cattaneo 2013-08-30 06:56:56 EDT
(In reply to Christopher Meng from comment #1)
> Please update to 3.0.1.

i don't know if 3.x series is again compatible with my intents (Apache Camel)
for 2.x series is available a new release more fresh than 3.0.1
sorry, why you suggest 3.x?
regards
Comment 4 Björn "besser82" Esser 2013-09-14 04:21:50 EDT
taken  ;)
Comment 5 Björn "besser82" Esser 2013-09-14 07:43:40 EDT
Created attachment 797600 [details]
build.log - FTBFS / missing BRs

FTBFS on rawhide!!!  It seems there are missing BRs.  :(
Comment 6 gil cattaneo 2013-09-14 10:28:09 EDT
(In reply to Björn "besser82" Esser from comment #5)
> Created attachment 797600 [details]
> build.log - FTBFS / missing BRs
> 
> FTBFS on rawhide!!!  It seems there are missing BRs.  :(

thanks!
yes the problem was caused by newer hibernate-commons-annotations, lost aliases for backward compatibility ... should fixed in hibernate3-3.6.10-12
regards
Comment 9 Björn "besser82" Esser 2013-10-16 07:22:51 EDT
Package has a minor issue, no blocker.  :)  Please fix that during import.

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 9 files have unknown license.
     Detailed output of licensecheck in
     /home/besser82/shared/fedora/review/972323-hazelcast/licensecheck.txt

     ---> License-tag is fine.

[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/java/hazelcast

     ---> this should be owned by any sub-package using that dir.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 122880 bytes in 13 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in hazelcast-
     client , hazelcast-cloud , hazelcast-hibernate3 , hazelcast-ra ,
     hazelcast-wm , hazelcast-javadoc

     ---> false positive.  Every component can be used independently
          from the main-pkg.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.

     ---> tests are run by maven during %build.

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: hazelcast-2.6.3-1.fc21.noarch.rpm
          hazelcast-client-2.6.3-1.fc21.noarch.rpm
          hazelcast-cloud-2.6.3-1.fc21.noarch.rpm
          hazelcast-hibernate3-2.6.3-1.fc21.noarch.rpm
          hazelcast-ra-2.6.3-1.fc21.noarch.rpm
          hazelcast-wm-2.6.3-1.fc21.noarch.rpm
          hazelcast-javadoc-2.6.3-1.fc21.noarch.rpm
          hazelcast-2.6.3-1.fc21.src.rpm
hazelcast.noarch: W: name-repeated-in-summary C Hazelcast
hazelcast.noarch: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
hazelcast.src: W: name-repeated-in-summary C Hazelcast
hazelcast.src: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
8 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint hazelcast-hibernate3 hazelcast hazelcast-wm hazelcast-r 
a hazelcast-cloud hazelcast-client hazelcast-javadoc
hazelcast.noarch: W: name-repeated-in-summary C Hazelcast
hazelcast.noarch: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
7 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
hazelcast-hibernate3 (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(com.hazelcast:hazelcast-client)

hazelcast (rpmlib, GLIBC filtered):
    jpackage-utils

hazelcast-wm (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(com.hazelcast:hazelcast)

hazelcast-ra (rpmlib, GLIBC filtered):
    jpackage-utils

hazelcast-cloud (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(com.hazelcast:hazelcast)

hazelcast-client (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(com.hazelcast:hazelcast)

hazelcast-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
hazelcast-hibernate3:
    hazelcast-hibernate3
    mvn(com.hazelcast:hazelcast-hibernate)
    mvn(com.hazelcast:hazelcast-hibernate::sources:)
    osgi(com.hazelcast.hibernate)

hazelcast:
    hazelcast
    mvn(com.hazelcast:hazelcast)
    mvn(com.hazelcast:hazelcast-all)
    mvn(com.hazelcast:hazelcast-all::sources:)
    mvn(com.hazelcast:hazelcast-root)
    mvn(com.hazelcast:hazelcast-root:pom:)
    osgi(com.hazelcast)
    osgi(com.hazelcast.all)

hazelcast-wm:
    hazelcast-wm
    mvn(com.hazelcast:hazelcast-wm)
    osgi(com.hazelcast.wm)

hazelcast-ra:
    hazelcast-ra
    mvn(com.hazelcast:hazelcast-ra)

hazelcast-cloud:
    hazelcast-cloud
    mvn(com.hazelcast:hazelcast-cloud)
    osgi(com.hazelcast.cloud)

hazelcast-client:
    hazelcast-client
    mvn(com.hazelcast:hazelcast-client)
    osgi(com.hazelcast.client)

hazelcast-javadoc:
    hazelcast-javadoc



Source checksums
----------------
https://github.com/hazelcast/hazelcast/archive/v2.6.3.tar.gz :
  CHECKSUM(SHA256) this package     : 64e80a5845b5bde1733defb1f2d662dcefbbe595443d4748c2f94e74cf3bdbc3
  CHECKSUM(SHA256) upstream package : 64e80a5845b5bde1733defb1f2d662dcefbbe595443d4748c2f94e74cf3bdbc3


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 972323
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

APPROVED!!!

Please fix the ownership-issue during import.
Comment 10 gil cattaneo 2013-10-16 07:39:50 EDT
Thanks for the review

package already own the proper directory

%files -f .mfiles-%{name}
%dir %{_javadir}/%{name}
%doc license.txt notice.txt README.md

or i missing something?

New Package SCM Request
=======================
Package Name: hazelcast
Short Description: Hazelcast CE In-Memory DataGrid
Owners: gil
Branches: f19 f20
InitialCC: java-sig
Comment 11 Björn "besser82" Esser 2013-10-16 07:44:32 EDT
(In reply to gil cattaneo from comment #10)
> Thanks for the review
> 
> package already own the proper directory
> 
> %files -f .mfiles-%{name}
> %dir %{_javadir}/%{name}
> %doc license.txt notice.txt README.md
> 
> or i missing something?

Some sub-packages use `%{_javadir}/%{name}` as well, but don't Requires main-pkg nor own this dir themselves...
Comment 12 gil cattaneo 2013-10-16 07:59:22 EDT
should fixed adding

%package ra
Summary:       Hazelcast Resource Adapter
Requires:      %{name} = %{version}-%{release}

%description ra
Hazelcast Resource Adapter.
this is the only one subpackage with this problem
thanks
Comment 13 Gwyn Ciesla 2013-10-16 08:10:42 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2013-10-16 09:29:35 EDT
hazelcast-2.6.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hazelcast-2.6.3-1.fc20
Comment 15 Fedora Update System 2013-10-16 09:55:27 EDT
hazelcast-2.6.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hazelcast-2.6.3-1.fc19
Comment 16 Fedora Update System 2013-10-17 16:29:00 EDT
hazelcast-2.6.3-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 17 Fedora Update System 2013-10-26 23:54:41 EDT
hazelcast-2.6.3-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 18 Fedora Update System 2013-10-27 01:37:31 EDT
hazelcast-2.6.3-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 19 Fedora Update System 2013-11-10 02:45:58 EST
hazelcast-2.6.3-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.